Support » Plugin: Essential Addons for Elementor » _register_controls is deprecated since version 3.1.0!

  • Resolved organichubbytaaniya

    (@organichubbytaaniya)


    I’m getting this error on my Website. Im not a programmer so please help me in resolving it.

    Notice: _register_controls is deprecated since version 3.1.0! Use Elementor\Controls_Stack::register_controls() instead. in /home/ohbyxzoc/public_html/wp-includes/functions.php on line 5314

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 22 total)
  • Plugin Support Abid Hasan

    (@abidhasan112)

    Hi @organichubbytaaniya ,

    We’ve already released a new Essential Addons for Elementor(v5.0.11) update yesterday to make them compatible with the latest Elementor (3.6.0) version. So make sure to install the latest version of Essential Addons(v5.0.11). Your mentioned issue will be resolved if you update the plugin.

    If you are still facing issue, please deactivate the other Elementor Addons from your website since they may not be compatible with latest Elementor(3.6.0) version. So, we would suggest you to kindly deactivate the other Addons and check again.

    If the issue still persists after taking all these steps above, kindly share your System info from your WordPress Dashboard -> Elementor -> System Info. Here’s the screenshot: https://d.pr/i/MMiIta

    Let me know how it goes.

    Thank you

    Thread Starter organichubbytaaniya

    (@organichubbytaaniya)

    I,ve tried above mentioned both methods but they didn’t work dor me. Here i’m attaching System info.

    [ SNIP! ]

    • This reply was modified 10 months, 2 weeks ago by Jan Dembowski.
    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    Please do not post large code or responses like that here, it doesn’t work after ~10 lines or so.

    If you need share that data please use https://gist.github.com/ or https://pastebin.com/ instead and post the link to that paste.

    Also you had emails and other info there and you really do not want to post that in a public forum.

    Thread Starter organichubbytaaniya

    (@organichubbytaaniya)

    Plugin Support Abid Hasan

    (@abidhasan112)

    Hi @organichubbytaaniya ,

    Hope you’re doing good today.
    I can assure you that the error is not coming from Essential Addons for Elementor actually. We’ve fixed this in our latest update.

    It seems you’re using ElementsKit Elementor Addons on your website. Seems ElementsKit still not compatable with latest Elementor v3.6.

    I would recommend you to contact ElementsKit from here: https://wordpress.org/support/plugin/elementskit-lite/

    Thank you!

    majesticperl

    (@majesticperl)

    Hi,

    I’ve updated to Elementor to V3.6.2 and I’m not using ElementsKit, but I’m using Elementor Header & Footer Builder V 1.6.10, WooCommerce V6.3.1, YITH WooCommerce Catalog Mode V2.8.0., and YITH WooCommerce Brands Add-on Premium 1.13.0.
    Ever since the Elementor upgrade to 3.6.1. I keep getting an error

    “Deprecated: _register_controls is deprecated since version 3.1.0! Use Elementor\Controls_Stack::register_controls() instead. in /home/jakksc5/public_html/jakks.com/new-jakks/wp-includes/functions.php on line 5323”

    I have deactivated all plugins, except Elementor and Elementro Pro since it’s a store you can’t see the products, so no errors. I active WooCommerce and get the following error:
    Notice: Undefined property: WP_Error::$taxonomy in /home/jakksc5/public_html/jakks.com/new-jakks/wp-content/plugins/elementor-pro/modules/woocommerce/classes/products-renderer.php on line 160

    This has been a nightmare trying to figure out what’s is going with all these Elementor errors. I’ve done so much work on this site and I can’t go forward, every time I upgrade Elementor there is another error that I have to fight with.

    Is there any relieve to this problem, or can you please point me in some direction on how I can fix this problem without starting over. I have over 400 products uploaded, that’s taken me months to input.

    A BIG HELP would be so appreciated.

    Thank you,

    Kim

    chrisf1

    (@chrisf1)

    I worked on my Contact for today using Elementor and WPforms. I am on 3.6.2. I got the following message:
    Deprecated: _register_controls isdeprecatedsince version 3.1.0! Use Elementor\Controls_Stack::register_controls() instead. in/home3/chrisf1/public_html/wp-includes/functions.phpon line5323
    I am not a coder and have not software experience.
    Please provide guidance.
    Thanks,
    chris

    Plugin Support Abid Hasan

    (@abidhasan112)

    Hi @majesticperl and @chrisf1 ,

    Elementor rolled out a major update v3.6 two weeks ago.
    Elementor deprecated some of their old functions in their latest major version(3.6). So all the 3rd party plugins(who are using that Elementor functions need to update their plugin).

    We’re from Essential Addons for Elementor team. On the same day, we made our plugin fully compatible with this latest Elementor version. So we’re all set!

    You can deactivate other plugins and change your theme temporary to find the problematic plugin. I can assure you that the issue is not happening for Essential Addons for Elementor now! If you deactivate our plugin and check, you will face the same issue. So its not coming from our plugin. That I can assure you.

    Thank you!

    omarelbahr

    (@omarelbahr)

    The error is still persists even after I upgraded.

    https://imgur.com/a/UBhoOIN

    Plugin Support Abid Hasan

    (@abidhasan112)

    Hi @omarelbahr ,

    I can assure you that the issue is not happening for Essential Addons for Elementor now!

    Could you please deactivate other 3rd plugins(except Elementor and Essential Addons for Elementor) and check back again?
    Besides that, you can temporary switch your theme and check back as well.

    I’m looking forward to hearing from you.
    Thank you!

    Hi @abidhasan112
    I’m Using Listing Pro theme and getting the same error although i’m not using any of the elementor addon plugin
    Can you help on this?

    I made an account just to give the solution.

    Go to the function.php file and go to line 5323.
    Do you see there (or above) that this command?
    if ( WP_DEBUG && apply_filters( ‘deprecated_function_trigger_error’, true )
    set it to “false”

    Hope it helps!

    With giannisger fix we override a wp file core:( it is a temporary solution.

    Until Elementor fixes this bug:

    1. Edit the file /public_html/wp-config.php
    2. Find and change define( ‘WP_DEBUG’, true ); to define( ‘WP_DEBUG’, false );

    Plugin Support Abid Hasan

    (@abidhasan112)

    Hi @mohdabdullah96 ,

    It’s possible that your theme also uses the deprecated Elementor function hence you’re getting this issue. So you can check with your theme author as well.

    Besides that, I can assure you all that, this issue has been solved from Essential Addons for Elementor and there is no chance to throw this error from Essential Addons for Elementor.

    Thank you!

Viewing 15 replies - 1 through 15 (of 22 total)
  • The topic ‘_register_controls is deprecated since version 3.1.0!’ is closed to new replies.